#include "json.h"

namespace ds {

std::ostream& operator<<(std::ostream& ostream, const JsonFragment& x) { return ostream << toJson(x); }
bool operator==(const ds::JsonFragment& a, const ds::JsonFragment& b) {
  return json_object_equal(a.get(), b.get());
}
bool operator!=(const ds::JsonFragment& a, const ds::JsonFragment& b) {
  return !(a == b);
}

} // namespace ds
