/*
 *  Copyright (c) 2012 digitalSTROM.org, Zurich, Switzerland
 *
 *  This file is part of digitalSTROM Server.
 *
 *  digitalSTROM Server is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  digitalSTROM Server is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with digitalSTROM Server. If not, see <http://www.gnu.org/licenses/>.
 */

#include "event/event_fields.h"

namespace dss {
  const std::string ef_callOrigin = "callOrigin";
  const std::string ef_originDSUID = "originDSUID";
  const std::string ef_zone = "zone";
  const std::string ef_group = "group";
  const std::string ef_scene = "scene";
  const std::string ef_sceneID = "sceneID";
  const std::string ef_dsuid = "dsuid";
  const std::string ef_forced = "forced";
  const std::string ef_sensorEvent = "sensorEvent";
  const std::string ef_sensorIndex = "sensorIndex";
  const std::string ef_eventid = "eventid";
  const std::string ef_evt = "evt";
}
