#pragma once

#include <ds-model/scenarios.h>
#include <ds-model/model.h>

namespace dss {

struct DeviceData {
  std::vector<dsModel::Scenario> scenarios;
  std::vector<dsModel::DeviceStateStatus> statesStatus;
  std::vector<dsModel::DeviceState> states;
};

} // namespace dss

DS_JSON_DECLARE_STRUCT((dss), DeviceData, (scenarios)(statesStatus)(states));
