TESTS += dsstests.sh
EXTRA_DIST += \
			$(top_srcdir)/build/dsstests.sh \
			$(top_srcdir)/tests/data/speed_triggers.xml \
			$(top_srcdir)/tests/data/rate_triggers.xml

check_PROGRAMS += dsstests

dsstests_CXXFLAGS = \
			-I$(top_srcdir) \
			-I$(top_srcdir)/src \
			-I$(top_builddir)/src \
			$(JSONC_CFLAGS) \
			$(JS_CFLAGS) \
			$(BOOST_CPPFLAGS) \
			$(LIBDSM_API_CFLAGS) \
			$(ICAL_CFLAGS) \
			$(GCOV_CFLAGS) \
			-DABS_SRCDIR=\"@abs_top_srcdir@\" \
			-DSRCDIR=\"@top_srcdir@\" \
			-DABS_BUILDDIR=\"@abs_top_builddir@\" \
			-DBUILDDIR=\"@top_builddir@\"

dsstests_LDADD = \
			$(COMMON_LDFLAGS) \
			$(BOOST_UNIT_TEST_FRAMEWORK_LIB)
