```plantuml
@startuml
skinparam defaultFontName Helvetica
skinparam sequenceMessageAlign center
skinparam monochrome true
skinparam roundcorner 20

package dsModel {
  package scenarios {
    package dsModelScenariosIdsH {
    }
    package dsModelScenariosFwdH {
    }
    package dsModelScenariosH {
    }
    dsModelScenariosFwdH <-- dsModelScenariosH
    dsModelScenariosIdsH <-- dsModelScenariosH
  }

  package model {
    package dsModelModelIdsH {
    }
    package dsModelModelFwdH {
    }
    package dsModelModelH {
    }
    dsModelModelFwdH <-- dsModelModelH
    dsModelScenariosIdsH <-- dsModelModelH
    dsModelModelIdsH <-- dsModelModelH
  }
}

package dss {
  package dsScenariosH {
  }
  dsModel <-- dsScenariosH

  package dsScenariosCpp {
  }
  dsScenariosH <-- dsScenariosCpp
  modelDeviceH <-- dsScenariosCpp

  package modelDeviceH {
  }

  package modelDeviceCpp {
  }
  dsScenariosH <-- modelDeviceCpp
  modelDeviceH <-- modelDeviceCpp
}
@enduml
```

Ideas:
* rename dsModel -> dsApi / api / modelApi
* dsModel/model shall be further split somehow
