#pragma once

#include <ds/system-fwd.h>
#include <boost/asio/ssl/context.hpp>
#include "stream.h"

namespace dsConnector {

/// Wss (stream) client connecting to release-type specific backend url
std::unique_ptr<dsConnector::StreamClient> makeBackendStreamClient(boost::asio::io_service &, ds::System &,
                                                                   boost::asio::ssl::context &);

} // namespace dsConnector
