#pragma once

#include "ds-api/rest-fwd.h"

namespace dsModel {

enum class ZoneActionId;
enum class LightsActionId;
enum class ShadesActionId;
enum class AudioActionId;
enum class DeviceActionId;
enum class ScenarioStatusStatus;

struct UserDefinedActionAttributes;
struct ApplicationZoneScenarioAttributes;
struct DeviceScenarioAttributes;
struct ScenarioId;
using Scenario = dsApi::VariantResourceData<dsModel::ScenarioId, dsModel::UserDefinedActionAttributes,
                                            dsModel::ApplicationZoneScenarioAttributes, dsModel::DeviceScenarioAttributes>;
struct ScenarioStatus;

class ScenariosApi;

} // namespace dsModel
